---
updatedAt: 2026-06-30T05:31:04.000Z
agentTools:
  projectIndex: https://developers.intandem.tech/llms.txt
---

# Create a Staff Widgets Boards Template

## Overview
Create a staff widget board template.

**Available for Directory Tokens only.**

**Uniqueness Constraint**: Each staff member can only have ONE active widgets boards template. Creating a template when one already exists returns 400: 'Duplicate entry not allowed for active rows.'

**To replace existing template**: First use `DELETE /v3/apps/staff_widgets_boards_templates/{uid}` to remove the existing template, then create a new one.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Apps",
    "description": "Unified OpenAPI specification for apps domain",
    "version": "3.0",
    "x-generated": {
      "sourceFiles": [
        "navigation_items.json",
        "apps.json",
        "app_business_mappings.json",
        "legacy_v1_apps.json",
        "legacy_token.json",
        "widgets_and_boards.json",
        "legacy_app_translation.json",
        "jwks.json"
      ],
      "pathNormalizations": [
        {
          "file": "legacy_v1_apps.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/apps",
              "normalized": "/platform/v1/apps",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}",
              "normalized": "/platform/v1/apps/{id}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/assign",
              "normalized": "/platform/v1/apps/{id}/assign",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/install_app",
              "normalized": "/platform/v1/apps/{id}/install_app",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/unassign",
              "normalized": "/platform/v1/apps/{id}/unassign",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/uninstall_app",
              "normalized": "/platform/v1/apps/{id}/uninstall_app",
              "basePath": "/platform/v1"
            }
          ]
        },
        {
          "file": "legacy_token.json",
          "basePath": "/oauth/service",
          "transformations": [
            {
              "original": "/token",
              "normalized": "/oauth/service/token",
              "basePath": "/oauth/service"
            }
          ]
        },
        {
          "file": "legacy_app_translation.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/apps/translations/{app_code_name}",
              "normalized": "/platform/v1/apps/translations/{app_code_name}",
              "basePath": "/platform/v1"
            }
          ]
        }
      ],
      "pathConflicts": [],
      "componentConflicts": [
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_app_business_mappings",
          "files": [
            "merged",
            "app_business_mappings.json"
          ]
        },
        {
          "type": "schema",
          "name": "Response",
          "resolution": "Renamed to Response_widgets_and_boards",
          "files": [
            "merged",
            "widgets_and_boards.json"
          ]
        }
      ],
      "totalPaths": 26,
      "totalComponents": 26
    }
  },
  "servers": [
    {
      "url": "https://api.vcita.biz",
      "description": "Unified API Gateway server"
    }
  ],
  "paths": {
    "/v3/apps/staff_widgets_boards_templates": {
      "post": {
        "operationId": "StaffWidgetsBoardsTemplate_create",
        "summary": "Create a Staff Widgets Boards Template",
        "description": "## Overview\nCreate a staff widget board template.\n\n**Available for Directory Tokens only.**\n\n**Uniqueness Constraint**: Each staff member can only have ONE active widgets boards template. Creating a template when one already exists returns 400: 'Duplicate entry not allowed for active rows.'\n\n**To replace existing template**: First use `DELETE /v3/apps/staff_widgets_boards_templates/{uid}` to remove the existing template, then create a new one.",
        "parameters": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "staff_uid": {
                    "type": "string",
                    "description": "The unique identifier of the staff which will be used as staff widget board template"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/Response"
                    },
                    {
                      "properties": {
                        "data": {
                          "type": "object",
                          "properties": {
                            "uid": {
                              "type": "string",
                              "description": "Unique identifier of the entity"
                            },
                            "owner_type": {
                              "type": "string",
                              "description": "The type of template owner, e.g directory, business, etc.",
                              "enum": [
                                "directory",
                                "business"
                              ]
                            },
                            "owner_uid": {
                              "type": "string",
                              "description": "The unique identifier of the template's owner"
                            },
                            "staff_uid": {
                              "type": "string",
                              "description": "The unique identifier of the staff member whose template is being cloned"
                            },
                            "created_at": {
                              "type": "string",
                              "description": "The timestamp indicating when the template was created, in ISO 8601 format"
                            },
                            "updated_at": {
                              "type": "string",
                              "description": "The timestamp indicating the last time the template was updated, in ISO 8601 format"
                            }
                          },
                          "description": "Defines the default widget board template for all members within a directory",
                          "example": {
                            "uid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
                            "owner_type": "directory",
                            "owner_uid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
                            "staff_uid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
                            "created_at": "2021-07-20T14:00:00.000Z",
                            "updated_at": "2021-07-20T14:00:00.000Z"
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. A duplicate entry already exists.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400
                    },
                    "message": {
                      "type": "string",
                      "example": "Duplicate entry not allowed for active rows."
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The bearer token is missing or invalid."
          },
          "403": {
            "description": "Forbidden. You do not have access to this resource."
          }
        },
        "tags": [
          "Staff Widgets Boards Template"
        ],
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Response": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean"
          },
          "data": {
            "type": "object"
          }
        },
        "required": [
          "success",
          "data"
        ]
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Provide a valid bearer token in the Authorization header. Example: 'Authorization: Bearer {app_token}'"
      }
    }
  }
}
```